#
# spec file for package xvba-video
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xvba-video
Version:        0.8.0
Release:        11.1
Url:            http://www.freedesktop.org/wiki/Software/vaapi
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  clutter-gst-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  valgrind-devel
BuildRequires:  xvba-devel
Source0:        http://cgit.freedesktop.org/vaapi/xvba-driver/snapshot/xvba-driver-%{version}.tar.gz
Patch0:         xvba-video-h264-level51.patch
Patch1:         xvba-video-GL_GLEXT_VERSION-85-fix.patch
Patch2:         xvba-video-0.8.0-glx-fix.patch
Patch3:         xvba-video-libva-api.patch
Summary:        This package consists in an XvBA-based backend for VA-API
License:        GPL-2.0 and MIT
Group:          System/Libraries

%description
This is the XvBA-based backend for VA-API to use the hardware acceleration.

%prep
%setup -q -n xvba-driver-%{version}
%patch0 -p1
%if 0%{?suse_version} >= 1230
%patch1 -p0
%endif
%patch2 -p1
%patch3 -p1
sed -i 's|-lXvBAW|-L %{_libdir}/xvba -lXvBAW|g' configure.ac

%build
autoreconf -vi
%configure
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/dri/*.la

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
echo 'export LIBVA_DRIVER_NAME="fglrx"' >%{buildroot}%{_sysconfdir}/profile.d/libva-fglrx.sh

%files
%defattr(-, root, root)
%config %{_sysconfdir}/profile.d/libva-fglrx.sh
%dir %{_libdir}/dri
%{_libdir}/dri/*
%doc COPYING NEWS README

%changelog
* Mon Sep 23 2013 scarabeus@opensuse.org
- Update tarball to be downloaded from upstream git.
- Format spec file
- Fix homepage and license
- Add patch to build on Factory xvba-video-libva-api.patch
- There is no reason to avoid INSTALL phase thus drop patch:
  xvba-video-remove-installation.patch
* Sun Jun  2 2013 fisiu@opensuse.org
- Add xvba-video-0.8.0-glx-fix.patch: fix pm#77.
* Wed Mar  6 2013 fisiu@opensuse.org
- Add xvba-video-GL_GLEXT_VERSION-85-fix.patch: fix build with
  openSUSE >= 1230.
* Tue Jul  3 2012 freespacer@gmx.de
- add a patch to enable H.264 Level 5.1 in xvba-video VA API plugin
  Important notice:
  It is require to enable H.264 Level 5.1 in the fglrx driver
  (for the moment AMD Catalyst 12.6):
  aticonfig --set-pcs-u32=MCIL,HWUVD_H264Level51Support,1
* Tue May 15 2012 seife+obs@b1-systems.com
- fix MesaGLw-devel buildrequires for > 12.1 (libGLW-devel)
- add automake / libtool buildrequires for > 12.1
* Fri Sep  9 2011 freespacer@gmx.de
- add libdrm-devel as build requirement
* Fri Sep  9 2011 freespacer@gmx.de
- fix for 32-bit machine
* Fri Sep  9 2011 freespacer@gmx.de
- initial version
